#include "cat.h"
#include <iostream>

cat::cat(char const* name, int weight, int age): animal(name), _weight(weight), _age(age) {

}

void cat::make_sound() {
	std::cout << m_name << " the cat said: mow!" << std::endl;
}

cat* cat::clone() {
	std::cout << "*" << m_name << " clones *" << std::endl;
	cat* clone;
	if (_weight < 0) {
		clone = 0; //FIX-ME: clone = new cat("Clony", -1*_weight, _age); 
	} else {
		clone = new cat("Clony", _weight, _age);
	}

	return clone;
}
